%define debug_package %{nil}

Summary:	Find Win32 applications

Packager:	Lawrence R. Rogers (lrr@cert.org)

Vendor:		cert.org
Name:		missidentify
Version:	1.0
Release:	1%{?dist}

License:	GPL
URL:		http://missidentify.sourceforge.net/

Group:		Applications/Forensics Tools

Source:		%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/rpm-root-%{name}-v%{version}

%description
Miss Identify is a program to find Win32 applications. In its default
mode it displays the filename of any executable that does not have
an executable extension (i.e. exe, dll, com, sys, cpl, hxs, hxi, olb,
rll, or tlb). The program can also be run to display all executables
encountered, regardless of the extension. This is handy when looking
for all of the executables on a drive. Other options allow the user to
record the strings found in an executable and to work recursively. See
the manual page for more information.
Sample output

Searching for mislabeled executables

C:\> missidentify *
C:\missidentify-1.0\sample.jpg

Searching for all executables

C:\> missidentify -a * 
C:\missidentify-1.0\sample.jpg
C:\missidentify-1.0\missidentify.exe

Searching for all executables in an unusual place

C:\> missidentify -ar c:\windows\system32
...
C:\WINDOWS\System32\ntdll.dll
C:\WINDOWS\System32\ntoskrnl.exe
C:\WINDOWS\System32\NEVER-GONNA-CATCH-ME.EXE
C:\WINDOWS\System32\ntver.dll

%prep
%setup
%configure --prefix=/usr --mandir=/usr/share/man --bindir=/usr/bin


%build
CFLAGS=${RPM_OPT_FLAGS} make

%install
%makeinstall

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(444, bin, bin, 0755)
%doc  COPYING INSTALL NEWS README AUTHORS ChangeLog
%attr(444, bin, bin)	%{_mandir}/man1/*
%attr(555, bin, bin)	%{_bindir}/*

%changelog
* Tue Feb 19 2008 Jesse Kornblum <research@jessekornblum.com>

	* Fixed illegal filename error handling to use Unicode
	  error display function.

	* Updated packaging and README file
	
	* Version bump to 1.0

* Wed Feb 15 2008 Jesse Kornblum <research@jessekornblum.com>

	* Completed conversion to allow Unicode filenames.
	  Copied a few more functions from the md5deep project.

	* Checked code into Subversion repository

	* Version bump to 0.9 in preparation for release

	* Cast VERBOSE_DISPLAY_NUM to uint64_t in usage message to avoid
	  crash on OS X.

	* Added $Id: missidentify.spec,v 1.1 2011/03/04 17:43:17 repoman Exp repoman $ tags to source code
	

* Wed Feb 04 2008 Jesse Kornblum <research@jessekornblum.com>

	* Started conversion to allow Unicode filenames, not
	  finished yet
	
	* Moved previous ChangeLog file to NEWS
	
	* Fixed potentially fatal error in main.c that called,
	  ironically enough, fatal_error().

	* Added counting of number of files processed for displaying
	  current filename being processed

	
* Wed Sep 14 2007 Jesse Kornblum <research@jessekornblum.com>

	* Added -s and -S modes to capture strings

	
* Wed Aug 12 2007 Jesse Kornblum <research@jessekornblum.com>	

	* Increased buffer size to 8KB to prevent underreads

	* Added allowed executable extensions:
	  cpl, hxs, hxi, olb, rll, and tlb.

	
* Wed Jul 24 2007 Jesse Kornblum <research@jessekornblum.com>	

	* Fixed basic MZ check to work on little endian systems

	* Removed fcntl.h from configuration

	* Fixed typo in man page

	
* Wed Jul 23 2007 Jesse Kornblum <research@jessekornblum.com>	
	
	* Proof of concept 
